Bug 705609 - black screen with panel after waking up from screen off state, screen redrawn only after a long time
black screen with panel after waking up from screen off state, screen redrawn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
: 709950 731809 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-17 18:49 EDT by Ganapathi Kamath
Modified: 2011-10-29 20:36 EDT (History)
13 users (show)

See Also:
Fixed In Version: gnome-shell-3.0.2-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-29 20:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 651378 None None None Never

  None (edit)
Description Ganapathi Kamath 2011-05-17 18:49:33 EDT
Description of problem:
Upon waking up laptop from blanked screen, except for a panel at the top, the rest of the screen is black. ie Screen has woken up, back light, mouse cursor. If the mouse cursor is moved around on the black screen. It changes depending on weather it is over a text box or an image. This indicates that the login dialog is present, but hidden in the blackness. pressing keys for a long time may cause the screen to be redrawn. If one is able to type the password and login, the after login home screen also will not have the same problem. with panel on top and bottom visible and everything else black.

Version-Release number of selected component (if applicable):
fedora-15

How reproducible:
* every time.
* Cannot say if hardware specific. but looks not as some aspects of screen is functional
* HP dv2z laptop


Steps to Reproduce:
1. Just wait for sometime until screen dims out, 
2. Wait long enough > 1hr 
3. Screen Goes completely blank
4. First space bar , this will wake the screen. 
5. On screen you can see that the top panel of login screen is drawn, the rest is however blank.
6. moving the mouse, pressing keys does not wake up screen.
On moving the mouse, it can be seen that the mouse cursor changes shape. 
7. After pressing keys long enough, screen fully wakes up/ redraws itself.
  
Actual results:
The time taken to redraw, depends on how long the laptop has been in screen off state.
The redraw happens in an instant, but up until that point it appears as though there is no attempt to redraw.
There is no high processor usage

Expected results:
To see login screen.

Additional info:
* remotedesktop vino enabled, I wonder if that's the issue
* The time taken to redraw, depends on how long the laptop has been in screen off state.
Comment 1 Ganapathi Kamath 2011-05-17 18:50:56 EDT
display in stuck state is exactly if 
gnome-screensaver-command -a
was just issued. panel on top, black screen everywhere

Will try to see if
DISPLAY=:0 gnome-screensaver-command -d
will help unlock screen next time it is stuck
Comment 2 Ganapathi Kamath 2011-05-17 18:55:38 EDT
clarification. It possible to use Ctrl-Alt-2/3 etc to get to a console tty,
login and issue the above. 
Switching back to Ctrl-Alt-1 / Ctrl-Alt-7 does not redraw the screen. black screen with panel and cursor in effect.
I am unable to say why, but sometimes X is on console 1 and sometimes its on console 7
Comment 3 Ganapathi Kamath 2011-05-17 18:59:53 EDT
gnome settings:

Screen:
Dim screen to save power: unchecked
Turn off after : 10 minutes
Lock : on
Lock screen after : Screen turns off
Comment 4 Ganapathi Kamath 2011-05-17 22:24:55 EDT
DISPLAY=:0 gnome-screensaver-command -d
command executes but does not help.
Screen takes its time to redraw.
Comment 5 Ganapathi Kamath 2011-05-18 12:52:48 EDT
I have turned off vino for some time. 
Strongly feel it might be the cause, I will need to observe over time.
Comment 6 Ganapathi Kamath 2011-05-23 12:40:25 EDT
Had turned off vino, made sure that vino process was not running
Still happens, so may not be vino
Comment 7 Ganapathi Kamath 2011-05-25 09:47:03 EDT
[root@sirius ~]# uname -a
Linux sirius.localdomain 2.6.38.3-18.fc15.x86_64 #1 SMP Fri Apr 22 13:24:23 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

after waking screen up, say by moving mouse. 
The panel on the backscreen is drawn the way ir was after blanked and before screen-off
The clock in the panel shows the screen off time

When switching to and fro from a console using ctrl-alt-Fx 
THe following is logged to /var/log/messages
May 25 09:38:49 sirius kernel: [341234.378184] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
[root@sirius ~]# lspci | egrep -i rade
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3400 Series
01:00.1 Audio device: ATI Technologies Inc RV620 Audio device [Radeon HD 34xx Series]

current method of recovery is to do 
telinit 3
telinit 5
this kills the X-session and the open apps

speculate X-server has lost access to appropriate framebuffer on waking up.
Comment 8 Ganapathi Kamath 2011-05-27 10:11:38 EDT
If from a unlocked X desktop, laptop lid is closed. system goes to standby and very little power is consumed. When laptop lid is lifted, system/screen wakes up and everything comes back to where it was before closing.  ... no lock screen. or black screen issue.
Comment 9 Ganapathi Kamath 2011-05-27 11:23:24 EDT
May be related to Bug 698981
Comment 10 Ganapathi Kamath 2011-05-28 14:53:57 EDT
May 28 14:53:25 sirius dbus: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
May 28 14:53:26 sirius dbus: [system] Successfully activated service 'net.reactivated.Fprint'

The above two lines are the only two logged after waking up the screen
I wonder why Fprint service is involved on a laptop that does not have a fingerprint reader authentication.
Comment 11 Ganapathi Kamath 2011-05-30 10:56:38 EDT
I also run fedora 15 in a virtual-box VM.
The new gnome-3 interface does not work reliably there and it falls back to gnome-panel mode, possibly because of not complete 3D support.  If left idle screen becomes black, 

After a while screen goes black, with panel on top, clock is current and being redrawn. 
Pressing space bar causes the lock dialog box and background to be drawn

The above is as expected behaviour.

system configuration
screen > turn brightness off after  = 30 min
screen > lock = on
screen > lock = after screen goes off 
power > put computer to sleep if inactive = unchecked

maybe 3D rendering to framebuffer is the cause ?
Comment 12 Ganapathi Kamath 2011-05-30 10:58:28 EDT
I usually give tail -f /var/log/messages when  the screen is stuck like that on another console terminal.
Another observation in the logs is the following 

May 30 09:36:45 sirius pulseaudio[13954]: protocol-native.c: Denied access to client with invalid authorization data.
Can't determine who what or which process is trying to cause sound.
Comment 13 Ganapathi Kamath 2011-06-08 17:23:15 EDT
Following a recent updated with a reboot, I have not perceived the wait.
I will need to observe/monitor for more time, to be sure.
Perhaps the Xorg-1.10.2-1 fixed them ? 
Last cold-reboot May 30th, no change in kernel 2.6.38.3-18

[root@sirius ~]# uname -a
Linux sirius.localdomain 2.6.38.3-18.fc15.x86_64 #1 SMP Fri Apr 22 13:24:23 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux


[root@sirius ~]# grep yum /var/log/messages* | egrep -i "(updated|installed): (x|mutter|gnome-shell|gnome-panel|gnome-screen|clutt)" 
/var/log/messages-20110515:May 13 10:11:17 sirius yum[13060]: Updated: xen-licenses-4.1.0-2.fc15.x86_64
/var/log/messages-20110515:May 13 10:11:19 sirius yum[13060]: Updated: xen-libs-4.1.0-2.fc15.x86_64
/var/log/messages-20110515:May 13 10:12:09 sirius yum[13060]: Updated: gnome-shell-3.0.1-4.fc15.x86_64
/var/log/messages-20110515:May 13 10:13:41 sirius yum[13060]: Updated: xorg-x11-drv-intel-2.15.0-3.fc15.x86_64
/var/log/messages-20110515:May 13 10:13:52 sirius yum[13060]: Updated: xorg-x11-drv-openchrome-0.2.904-14.fc15.1.x86_64
/var/log/messages-20110515:May 14 10:34:59 sirius yum[7768]: Updated: gnome-panel-libs-3.0.0.1-4.fc15.x86_64
/var/log/messages-20110515:May 14 10:36:00 sirius yum[7768]: Updated: gnome-panel-3.0.0.1-4.fc15.x86_64
/var/log/messages-20110529:May 28 06:03:05 sirius yum[12341]: Updated: mutter-3.0.2.1-1.fc15.x86_64
/var/log/messages-20110529:May 28 06:04:06 sirius yum[12341]: Updated: gnome-shell-3.0.2-1.fc15.x86_64
/var/log/messages-20110605:Jun  3 19:48:11 sirius yum[4764]: Updated: xorg-x11-server-common-1.10.2-1.fc15.x86_64
/var/log/messages-20110605:Jun  3 19:54:01 sirius yum[4764]: Updated: xorg-x11-server-Xnest-1.10.2-1.fc15.x86_64
/var/log/messages-20110605:Jun  3 19:54:03 sirius yum[4764]: Updated: xorg-x11-server-Xephyr-1.10.2-1.fc15.x86_64
/var/log/messages-20110605:Jun  3 19:54:07 sirius yum[4764]: Updated: xorg-x11-server-Xorg-1.10.2-1.fc15.x86_64
/var/log/messages-20110605:Jun  4 18:15:19 sirius yum[1274]: Installed: Xaw3d-1.5E-20.fc15.x86_64



[root@sirius ~]# grep . /var/log/messages-* /var/log/messages | egrep -i "kernel: \[    0.000000\] Linux version" 
/var/log/messages-20110515:May  9 10:58:15 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
/var/log/messages-20110515:May 12 03:07:32 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
/var/log/messages-20110515:May 12 03:10:16 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
/var/log/messages-20110522:May 16 23:56:06 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
/var/log/messages-20110522:May 19 09:43:05 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
/var/log/messages-20110605:May 30 22:22:27 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
/var/log/messages:Jun  7 20:00:29 sirius kernel: [    0.000000] Linux version 2.6.38.3-18.fc15.x86_64 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110419 (Red Hat 4.6.0-5) (GCC) ) #1 SMP Fri Apr 22 13:24:23 UTC 2011
Comment 14 Ganapathi Kamath 2011-06-09 00:50:12 EDT
I think the wait still happen, but the waiting is much less than before.
This time I left the laptop alone at 8pm and next woke the screen up using keyboard and mouse at 12:47. 
The wait was probably under a minute. Previously for a 5 hr leave alone,  would require almost 10 minutes of trying to wake the screen up. 

I wonder, if the wait increases with machine uptime, currently 1 day 4 hrs.
Comment 15 Christian Krause 2011-06-18 15:25:04 EDT
I have exactly the same issue - password dialog of screeensaver is sometimes only displayed after a long time.

I can confirm that the waiting time is differs quite much. If I press a key or move the mouse shortly after activating the screensaver, the password dialog usually appears immediately.

gnome-screensaver-3.0.0-1.fc15.i686

Please let me know if you need more information from my side.
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:56:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2011-06-21 11:59:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Ganapathi Kamath 2011-06-22 21:37:33 EDT
The following two experiments, show that gui, audio, and 3D acceleration work, 
but audio or openGL triggering does not resolve black screen issue.

A)
1) When at black screen, in the blackness, however mouse courser to the point where it becomes a 'I' shape in the center of the screen. This is where the 
2) type some chars, then Ctrl-A, then backspace. The backspace causes all typed characters to be deleted. Now don't type any chars but issue "Ctrl-A followed by backspace" and. Note that screen is black and we are groping in the dark. Upon subsequent Ctrl-A's the laptop beeps. because there are no characters to select in the text box.
This indicates that pulse-audio is doing good.

B) 
1) switch to a different console VT Ctrl-Alt-F3
2) login as the same user, as was logged in on X
3) type
DISPLAY=:0 gnome-screensaver-command -d to kill the screen saver
4) switch back to X on ctrl-Alt-F7
5) move the mouse around in the blackness. the mouse cursor will change shape, on various points depending on whatever applications were open and what GUI elements the cursor is hoovering on.
This shows that GUI elements are functional

6) switch back to Ctrl-Alt-F3
7) type 
DISPLAY=:0 glxgears
Even though nothing can be seen on ctrl-Alt-F7, the glxgears apps is functional and displays the frame-rate at repeated intervals
.
Comment 19 Ganapathi Kamath 2011-06-22 21:46:04 EDT
WORKAROUND:  irritating but works
I think I have found a way to remove the black screen instantaneously. 

1) Ctrl-Alt-F1
2) login as the same user as loggedin on X
3) type
DISPLAY=:0 xwininfo -tree -root | egrep -i 1280

I grep for 1280 because I am looking for a X "window" which has been overlaid on the screen which has the same size and hence fully covers the screen
The following is its output

$ DISPLAY=:0 xwininfo -tree -root | egrep -i 1280
     0x1800007 "gnome-screensaver": ("gnome-screensaver" "Gnome-screensaver")  1280x800+0+0  +0+0
     0x160009b (has no name): ()  1280x774+0+26  +0+26
        0x220008e "Combining Presentation and Content Markup - Mozilla Firefox": ("Navigator" "Firefox")  1280x743+0+31  +0+57
           0x220011f (has no name): ()  1280x743+0+0  +0+57
     0x160001d (has no name): ()  1280x800+0+0  +0+0

my intuition tells me that the 0x160001d is the culprit

4) type
$ DISPLAY=:0 xkill -id 0x160001d 
xkill: killing creator of resource 0x160001d

5) switch back to ctrl-alt-f7
lo presto, all display elements visible, if at lock screen, then type password and enter.
Comment 20 Ganapathi Kamath 2011-06-23 01:08:06 EDT
wonder why window id hasn't changed form last time.

$ DISPLAY=:0 xwininfo -tree -root | egrep -i 1280
     0x18003b5 "gnome-screensaver": ("gnome-screensaver" "Gnome-screensaver")  1280x800+0+0  +0+0
     0x160001e (has no name): ()  1280x774+0+26  +0+26
        0x220008e "Bug 705609 – black screen with panel after waking up from screen off state, screen redrawn only after a long time - Mozilla Firefox": ("Navigator" "Firefox")  1280x743+0+31  +0+57
           0x220011f (has no name): ()  1280x743+0+0  +0+57
     0x160001d (has no name): ()  1280x800+0+0  +0+0

$ DISPLAY=:0 xwininfo -id 0x160001d -children

xwininfo: Window id: 0x160001d (has no name)

  Root window id: 0x15e (the root window) (has no name)
  Parent window id: 0x15e (the root window) (has no name)
     0 children.

couldn't xkill in time, while troubleshooting
Comment 21 Ganapathi Kamath 2011-06-23 01:15:38 EDT
I executed 
$  xkill -id 0x160001d
xkill:  killing creator of resource 0x160001d

while logged in, on a normal session

It causes gnome-shell to restart

Its very likely that this is a gnome-shell issue.
Comment 22 Ganapathi Kamath 2011-06-23 01:20:03 EDT
before xkill, this was another output that was captured

[kamath@sirius ~]$ xwininfo -id 0x160001d

xwininfo: Window id: 0x160001d (has no name)

  Absolute upper-left X:  0
  Absolute upper-left Y:  0
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1280
  Height: 800
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: yes
  Corners:  +0+0  -0+0  -0-0  +0-0
  -geometry 1280x800+0+0
Comment 23 Ganapathi Kamath 2011-06-23 23:04:45 EDT
The following also work equivalently. 

$ # determine the pid of the gnome-shell process
$ ps -ef | egrep -i gnome-shell
kamath    1255 17218  0 22:51 tty3     00:00:00 egrep --color=auto -i gnome-shell
kamath   21209 15251  0 06:55 ?        00:06:04 /usr/bin/gnome-shell
kamath   21222     1  0 06:55 ?        00:00:00 /usr/libexec/gnome-shell-calendar-server

gspid=21209
winid=0x160001d
a) DISPLAY=:0 xkill -id $winid
b) kill $gspid
c) killall gnome-shell
d) kill -HUP $gspid

remark. gnome-shell restart is also unreliable, and entails some amount of risk, if done frequently, or maybe if done repeatedly in succession, one may occasionally get gnome-shells "oh, no something has gone wrong. A problem has just occurred and cannot recover. please logout and try again, OK? dialog" 

If successful, however, all work and open application windows are preserved and the the gnome-shell top panel restarts. Perhaps window workspaces may collapse.
Comment 24 Ganapathi Kamath 2011-07-09 12:54:49 EDT
changing component to gnome-shell.
Don't yet see any bug filed upstream.
To other who see this, please record any commonality/differences in the hardware/software setup. graphics card/architecture/system settings etc
Comment 25 Ganapathi Kamath 2011-08-01 18:51:04 EDT
upstream bug report
https://bugzilla.gnome.org/show_bug.cgi?id=654482
Comment 26 Ganapathi Kamath 2011-08-05 21:40:36 EDT
Cause is now known:
Disabling wireless (by pressing hardware button) encounters no black screen delay when screen unblanks.

For some reason, the gnome shell accumulates unknown bogus or hidden APs with time. 

I see this as a combination of two flaws

1) gnome-shell accumulating bogus APs, and shows as unknown APs in the wireless applet. Clicking on the wireless icon, shows dozens of APs listed as <unknown>
g-s hangs for 5-10s and emits tons of warnings about access points disappearing
https://bugzilla.gnome.org/show_bug.cgi?id=651378

2) The gnome-shell screen update being withheld because it is waiting for the wireless indicator applet of the gnome-shell. The flaw being that such dependency should not exist between screen updates and wireless AP updates.
Comment 27 Richard Burton 2011-08-22 21:20:03 EDT
I can confirm that the black screen issue is due to "unknown" wireless connections accumulating in the list. Obviously a bug.

What needs to be done to resolve the issue? Who needs to be contacted to resolve this now that cause has been identified?
Comment 28 Richard Burton 2011-08-30 01:04:18 EDT
*** Bug 709950 has been marked as a duplicate of this bug. ***
Comment 29 Christian Krause 2011-09-06 18:27:10 EDT
Good news:

I have now tested the backported patch [1] from the upstream bug [2] and it looks like that it finally fixed the issue for me. The login screen is shown within a couple of seconds and all of the "unknown" entries in the wireless connection list are vanished as well.

@gnome-shell maintainers: Since this bug is rather annoying (you can't login for 2-10 minutes), please can you push out a new release with this patch for F15? If necessary, I can certainly help out to create the new package.

[1] http://bugzilla-attachments.gnome.org/attachment.cgi?id=195498
[2] https://bugzilla.gnome.org/show_bug.cgi?id=651378
Comment 30 Richard Burton 2011-09-11 00:44:12 EDT
At last I will be able to recommend F15!
Comment 31 Fedora Update System 2011-10-12 12:26:50 EDT
gnome-shell-3.0.2-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-shell-3.0.2-6.fc15
Comment 32 Fedora Update System 2011-10-12 20:53:09 EDT
Package gnome-shell-3.0.2-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-3.0.2-6.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14206
then log in and leave karma (feedback).
Comment 33 David Woodhouse 2011-10-15 01:03:27 EDT
*** Bug 731809 has been marked as a duplicate of this bug. ***
Comment 34 Fedora Update System 2011-10-29 20:36:18 EDT
gnome-shell-3.0.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.